

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.56. schema &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.57. select" href="select.html" />
    <link rel="prev" title="7.3.55. ruby_load" href="ruby_load.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/schema.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="select.html" title="7.3.57. select"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="ruby_load.html" title="7.3.55. ruby_load"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.56. </span><code class="docutils literal notranslate"><span class="pre">schema</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="schema">
<h1><span class="section-number">7.3.56. </span><code class="docutils literal notranslate"><span class="pre">schema</span></code><a class="headerlink" href="#schema" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.56.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.0.9 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">schema</span></code> コマンドはデータベース内のスキーマを返します。</p>
<p>このコマンドはデータベースの詳細を知りたいときに便利です。たとえば、データベースを視覚化したり、データベースのGUIを作ったりするときに便利です。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.56.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドに引数はありません:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>schema
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.56.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下は出力例を示すためのサンプルスキーマです。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Memos TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Memos content COLUMN_SCALAR Text
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create Terms TABLE_PAT_KEY ShortText \
  --default_tokenizer TokenBigram \
  --normalizer NormalizerAuto
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Terms memos_content_index \
  COLUMN_INDEX|WITH_POSITION \
  Memos content
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>このサンプルスキーマに対する <code class="docutils literal notranslate"><span class="pre">schema</span></code> コマンドの出力は次の通りです。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>schema
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   {
#     &quot;tables&quot;: {
#       &quot;Terms&quot;: {
#         &quot;normalizer&quot;: {
#           &quot;id&quot;: 78,
#           &quot;name&quot;: &quot;NormalizerAuto&quot;
#         },
#         &quot;name&quot;: &quot;Terms&quot;,
#         &quot;tokenizer&quot;: {
#           &quot;id&quot;: 67,
#           &quot;name&quot;: &quot;TokenBigram&quot;
#         },
#         &quot;command&quot;: {
#           &quot;command_line&quot;: &quot;table_create --name Terms --flags TABLE_PAT_KEY --key_type ShortText --default_tokenizer TokenBigram --normalizer NormalizerAuto&quot;,
#           &quot;name&quot;: &quot;table_create&quot;,
#           &quot;arguments&quot;: {
#             &quot;key_type&quot;: &quot;ShortText&quot;,
#             &quot;default_tokenizer&quot;: &quot;TokenBigram&quot;,
#             &quot;normalizer&quot;: &quot;NormalizerAuto&quot;,
#             &quot;flags&quot;: &quot;TABLE_PAT_KEY&quot;,
#             &quot;name&quot;: &quot;Terms&quot;
#           }
#         },
#         &quot;indexes&quot;: [],
#         &quot;key_type&quot;: {
#           &quot;type&quot;: &quot;type&quot;,
#           &quot;id&quot;: 14,
#           &quot;name&quot;: &quot;ShortText&quot;
#         },
#         &quot;value_type&quot;: null,
#         &quot;token_filters&quot;: [],
#         &quot;type&quot;: &quot;patricia trie&quot;,
#         &quot;id&quot;: 258,
#         &quot;columns&quot;: {
#           &quot;memos_content_index&quot;: {
#             &quot;name&quot;: &quot;memos_content_index&quot;,
#             &quot;weight&quot;: false,
#             &quot;section&quot;: false,
#             &quot;compress&quot;: null,
#             &quot;command&quot;: {
#               &quot;command_line&quot;: &quot;column_create --table Terms --name memos_content_index --flags COLUMN_INDEX|WITH_POSITION --type Memos --source content&quot;,
#               &quot;name&quot;: &quot;column_create&quot;,
#               &quot;arguments&quot;: {
#                 &quot;source&quot;: &quot;content&quot;,
#                 &quot;table&quot;: &quot;Terms&quot;,
#                 &quot;flags&quot;: &quot;COLUMN_INDEX|WITH_POSITION&quot;,
#                 &quot;name&quot;: &quot;memos_content_index&quot;,
#                 &quot;type&quot;: &quot;Memos&quot;
#               }
#             },
#             &quot;indexes&quot;: [],
#             &quot;sources&quot;: [
#               {
#                 &quot;table&quot;: &quot;Memos&quot;,
#                 &quot;id&quot;: 257,
#                 &quot;full_name&quot;: &quot;Memos.content&quot;,
#                 &quot;name&quot;: &quot;content&quot;
#               }
#             ],
#             &quot;value_type&quot;: {
#               &quot;type&quot;: &quot;reference&quot;,
#               &quot;id&quot;: 256,
#               &quot;name&quot;: &quot;Memos&quot;
#             },
#             &quot;full_name&quot;: &quot;Terms.memos_content_index&quot;,
#             &quot;position&quot;: true,
#             &quot;table&quot;: &quot;Terms&quot;,
#             &quot;type&quot;: &quot;index&quot;,
#             &quot;id&quot;: 259
#           }
#         }
#       },
#       &quot;Memos&quot;: {
#         &quot;normalizer&quot;: null,
#         &quot;name&quot;: &quot;Memos&quot;,
#         &quot;tokenizer&quot;: null,
#         &quot;command&quot;: {
#           &quot;command_line&quot;: &quot;table_create --name Memos --flags TABLE_HASH_KEY --key_type ShortText&quot;,
#           &quot;name&quot;: &quot;table_create&quot;,
#           &quot;arguments&quot;: {
#             &quot;key_type&quot;: &quot;ShortText&quot;,
#             &quot;flags&quot;: &quot;TABLE_HASH_KEY&quot;,
#             &quot;name&quot;: &quot;Memos&quot;
#           }
#         },
#         &quot;indexes&quot;: [],
#         &quot;key_type&quot;: {
#           &quot;type&quot;: &quot;type&quot;,
#           &quot;id&quot;: 14,
#           &quot;name&quot;: &quot;ShortText&quot;
#         },
#         &quot;value_type&quot;: null,
#         &quot;token_filters&quot;: [],
#         &quot;type&quot;: &quot;hash table&quot;,
#         &quot;id&quot;: 256,
#         &quot;columns&quot;: {
#           &quot;content&quot;: {
#             &quot;name&quot;: &quot;content&quot;,
#             &quot;weight&quot;: false,
#             &quot;section&quot;: false,
#             &quot;compress&quot;: null,
#             &quot;command&quot;: {
#               &quot;command_line&quot;: &quot;column_create --table Memos --name content --flags COLUMN_SCALAR --type Text&quot;,
#               &quot;name&quot;: &quot;column_create&quot;,
#               &quot;arguments&quot;: {
#                 &quot;table&quot;: &quot;Memos&quot;,
#                 &quot;flags&quot;: &quot;COLUMN_SCALAR&quot;,
#                 &quot;name&quot;: &quot;content&quot;,
#                 &quot;type&quot;: &quot;Text&quot;
#               }
#             },
#             &quot;indexes&quot;: [
#               {
#                 &quot;table&quot;: &quot;Terms&quot;,
#                 &quot;section&quot;: 0,
#                 &quot;id&quot;: 259,
#                 &quot;full_name&quot;: &quot;Terms.memos_content_index&quot;,
#                 &quot;name&quot;: &quot;memos_content_index&quot;
#               }
#             ],
#             &quot;sources&quot;: [],
#             &quot;value_type&quot;: {
#               &quot;type&quot;: &quot;type&quot;,
#               &quot;id&quot;: 15,
#               &quot;name&quot;: &quot;Text&quot;
#             },
#             &quot;full_name&quot;: &quot;Memos.content&quot;,
#             &quot;position&quot;: false,
#             &quot;table&quot;: &quot;Memos&quot;,
#             &quot;type&quot;: &quot;scalar&quot;,
#             &quot;id&quot;: 257
#           }
#         }
#       }
#     },
#     &quot;normalizers&quot;: {
#       &quot;NormalizerNFKC51&quot;: {
#         &quot;id&quot;: 79,
#         &quot;name&quot;: &quot;NormalizerNFKC51&quot;
#       },
#       &quot;NormalizerAuto&quot;: {
#         &quot;id&quot;: 78,
#         &quot;name&quot;: &quot;NormalizerAuto&quot;
#       }
#     },
#     &quot;token_filters&quot;: {},
#     &quot;tokenizers&quot;: {
#       &quot;TokenBigramSplitSymbolAlphaDigit&quot;: {
#         &quot;id&quot;: 71,
#         &quot;name&quot;: &quot;TokenBigramSplitSymbolAlphaDigit&quot;
#       },
#       &quot;TokenRegexp&quot;: {
#         &quot;id&quot;: 77,
#         &quot;name&quot;: &quot;TokenRegexp&quot;
#       },
#       &quot;TokenBigramIgnoreBlankSplitSymbolAlphaDigit&quot;: {
#         &quot;id&quot;: 75,
#         &quot;name&quot;: &quot;TokenBigramIgnoreBlankSplitSymbolAlphaDigit&quot;
#       },
#       &quot;TokenBigram&quot;: {
#         &quot;id&quot;: 67,
#         &quot;name&quot;: &quot;TokenBigram&quot;
#       },
#       &quot;TokenDelimit&quot;: {
#         &quot;id&quot;: 65,
#         &quot;name&quot;: &quot;TokenDelimit&quot;
#       },
#       &quot;TokenUnigram&quot;: {
#         &quot;id&quot;: 66,
#         &quot;name&quot;: &quot;TokenUnigram&quot;
#       },
#       &quot;TokenBigramSplitSymbol&quot;: {
#         &quot;id&quot;: 69,
#         &quot;name&quot;: &quot;TokenBigramSplitSymbol&quot;
#       },
#       &quot;TokenDelimitNull&quot;: {
#         &quot;id&quot;: 76,
#         &quot;name&quot;: &quot;TokenDelimitNull&quot;
#       },
#       &quot;TokenBigramIgnoreBlankSplitSymbolAlpha&quot;: {
#         &quot;id&quot;: 74,
#         &quot;name&quot;: &quot;TokenBigramIgnoreBlankSplitSymbolAlpha&quot;
#       },
#       &quot;TokenBigramSplitSymbolAlpha&quot;: {
#         &quot;id&quot;: 70,
#         &quot;name&quot;: &quot;TokenBigramSplitSymbolAlpha&quot;
#       },
#       &quot;TokenTrigram&quot;: {
#         &quot;id&quot;: 68,
#         &quot;name&quot;: &quot;TokenTrigram&quot;
#       },
#       &quot;TokenBigramIgnoreBlankSplitSymbol&quot;: {
#         &quot;id&quot;: 73,
#         &quot;name&quot;: &quot;TokenBigramIgnoreBlankSplitSymbol&quot;
#       },
#       &quot;TokenBigramIgnoreBlank&quot;: {
#         &quot;id&quot;: 72,
#         &quot;name&quot;: &quot;TokenBigramIgnoreBlank&quot;
#       }
#     },
#     &quot;plugins&quot;: {},
#     &quot;types&quot;: {
#       &quot;UInt64&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 8,
#         &quot;id&quot;: 11,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;UInt64&quot;
#       },
#       &quot;Int32&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 4,
#         &quot;id&quot;: 8,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;Int32&quot;
#       },
#       &quot;Int16&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 2,
#         &quot;id&quot;: 6,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;Int16&quot;
#       },
#       &quot;LongText&quot;: {
#         &quot;can_be_key_type&quot;: false,
#         &quot;size&quot;: 2147483648,
#         &quot;id&quot;: 16,
#         &quot;can_be_value_type&quot;: false,
#         &quot;name&quot;: &quot;LongText&quot;
#       },
#       &quot;TokyoGeoPoint&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 8,
#         &quot;id&quot;: 17,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;TokyoGeoPoint&quot;
#       },
#       &quot;Text&quot;: {
#         &quot;can_be_key_type&quot;: false,
#         &quot;size&quot;: 65536,
#         &quot;id&quot;: 15,
#         &quot;can_be_value_type&quot;: false,
#         &quot;name&quot;: &quot;Text&quot;
#       },
#       &quot;ShortText&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 4096,
#         &quot;id&quot;: 14,
#         &quot;can_be_value_type&quot;: false,
#         &quot;name&quot;: &quot;ShortText&quot;
#       },
#       &quot;Float&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 8,
#         &quot;id&quot;: 12,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;Float&quot;
#       },
#       &quot;UInt8&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 1,
#         &quot;id&quot;: 5,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;UInt8&quot;
#       },
#       &quot;UInt32&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 4,
#         &quot;id&quot;: 9,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;UInt32&quot;
#       },
#       &quot;Object&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 8,
#         &quot;id&quot;: 2,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;Object&quot;
#       },
#       &quot;UInt16&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 2,
#         &quot;id&quot;: 7,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;UInt16&quot;
#       },
#       &quot;Int64&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 8,
#         &quot;id&quot;: 10,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;Int64&quot;
#       },
#       &quot;Time&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 8,
#         &quot;id&quot;: 13,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;Time&quot;
#       },
#       &quot;Bool&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 1,
#         &quot;id&quot;: 3,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;Bool&quot;
#       },
#       &quot;WGS84GeoPoint&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 8,
#         &quot;id&quot;: 18,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;WGS84GeoPoint&quot;
#       },
#       &quot;Int8&quot;: {
#         &quot;can_be_key_type&quot;: true,
#         &quot;size&quot;: 1,
#         &quot;id&quot;: 4,
#         &quot;can_be_value_type&quot;: true,
#         &quot;name&quot;: &quot;Int8&quot;
#       }
#     }
#   }
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.56.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.56.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数はありません。</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.56.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数はありません。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.56.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">schema</span></code> はこのデータベースのスキーマを返します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, SCHEMA]
</pre></div>
</div>
<div class="section" id="header">
<h3><span class="section-number">7.3.56.5.1. </span><code class="docutils literal notranslate"><span class="pre">HEADER</span></code><a class="headerlink" href="#header" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
<div class="section" id="id1">
<h3><span class="section-number">7.3.56.5.2. </span><code class="docutils literal notranslate"><span class="pre">SCHEMA</span></code><a class="headerlink" href="#id1" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">SCHEMA</span></code> は以下の情報を含んだオブジェクトです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;plugins&quot;:       PLUGINS,
  &quot;types&quot;:         TYPES,
  &quot;tokenizers&quot;:    TOKENIZERS,
  &quot;normalizers&quot;:   NORMALIZERS,
  &quot;token_filters&quot;: TOKEN_FITLERS,
  &quot;tables&quot;:        TABLES
}
</pre></div>
</div>
</div>
<div class="section" id="plugins">
<h3><span class="section-number">7.3.56.5.3. </span><code class="docutils literal notranslate"><span class="pre">PLUGINS</span></code><a class="headerlink" href="#plugins" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">PLUGINS</span></code> はオブジェクトです。キーはプラグイン名で値はプラグインの詳細です。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;PLUGIN_NAME_1&quot;: PLUGIN_1,
  &quot;PLUGIN_NAME_2&quot;: PLUGIN_2,
  ...
  &quot;PLUGIN_NAME_n&quot;: PLUGIN_n
}
</pre></div>
</div>
</div>
<div class="section" id="plugin">
<h3><span class="section-number">7.3.56.5.4. </span><code class="docutils literal notranslate"><span class="pre">PLUGIN</span></code><a class="headerlink" href="#plugin" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">PLUGIN</span></code> はプラグインの詳細を示すオブジェクトです。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;name&quot;: PLUGIN_NAME
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">PLUGIN</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>プラグイン名。 <a class="reference internal" href="plugin_register.html"><span class="doc">plugin_register</span></a> で使います。</p></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="types">
<h3><span class="section-number">7.3.56.5.5. </span><code class="docutils literal notranslate"><span class="pre">TYPES</span></code><a class="headerlink" href="#types" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">TYPES</span></code> はオブジェクトです。キーは型名で、値は型の詳細です。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;TYPE_NAME_1&quot;: TYPE_1,
  &quot;TYPE_NAME_2&quot;: TYPE_2,
  ...
  &quot;TYPE_NAME_n&quot;: TYPE_n
}
</pre></div>
</div>
</div>
<div class="section" id="type">
<h3><span class="section-number">7.3.56.5.6. </span><code class="docutils literal notranslate"><span class="pre">TYPE</span></code><a class="headerlink" href="#type" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">TYPE</span></code> は型の詳細を示すオブジェクトです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;name&quot;: TYPE_NAME,
  &quot;size&quot;: SIZE_OF_ONE_VALUE_IN_BYTE,
  &quot;can_be_key_type&quot;: BOOLEAN,
  &quot;can_be_value_type&quot;: BOOLEAN
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">TYPE</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>型名。</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">size</span></code></p></td>
<td><p>1つの値のバイト数です。</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">can_be_key_type</span></code></p></td>
<td><p>この型をテーブルのキーの型に使えるなら <code class="docutils literal notranslate"><span class="pre">true</span></code> 、そうでないなら <code class="docutils literal notranslate"><span class="pre">false</span></code> 。</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">can_be_value_type</span></code></p></td>
<td><p>この型をテーブルの値の型に使えるなら <code class="docutils literal notranslate"><span class="pre">true</span></code> 、そうでないなら <code class="docutils literal notranslate"><span class="pre">false</span></code> 。</p></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="tokenizers">
<h3><span class="section-number">7.3.56.5.7. </span><code class="docutils literal notranslate"><span class="pre">TOKENIZERS</span></code><a class="headerlink" href="#tokenizers" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">TOKENIZERS</span></code> はオブジェクトです。キーはトークナイザー名で値はトークナイザーの詳細です。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;TOKENIZER_NAME_1&quot;: TOKENIZER_1,
  &quot;TOKENIZER_NAME_2&quot;: TOKENIZER_2,
  ...
  &quot;TOKENIZER_NAME_n&quot;: TOKENIZER_n
}
</pre></div>
</div>
</div>
<div class="section" id="tokenizer">
<h3><span class="section-number">7.3.56.5.8. </span><code class="docutils literal notranslate"><span class="pre">TOKENIZER</span></code><a class="headerlink" href="#tokenizer" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">TOKENIZER</span></code> はトークナイザーの詳細を示すオブジェクトです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;name&quot;: TOKENIZER_NAME
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">TOKENIZER</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>トークナイザー名。 <a class="reference internal" href="table_create.html#table-create-default-tokenizer"><span class="std std-ref">default_tokenizer</span></a> で使います。</p></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="normalizers">
<h3><span class="section-number">7.3.56.5.9. </span><code class="docutils literal notranslate"><span class="pre">NORMALIZERS</span></code><a class="headerlink" href="#normalizers" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">NORMALIZERS</span></code> はオブジェクトです。キーはノーマライザー名で値はノーマライザーの詳細です。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;NORMALIZER_NAME_1&quot;: NORMALIZER_1,
  &quot;NORMALIZER_NAME_2&quot;: NORMALIZER_2,
  ...
  &quot;NORMALIZER_NAME_n&quot;: NORMALIZER_n
}
</pre></div>
</div>
</div>
<div class="section" id="normalizer">
<h3><span class="section-number">7.3.56.5.10. </span><code class="docutils literal notranslate"><span class="pre">NORMALIZER</span></code><a class="headerlink" href="#normalizer" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">NORMALIZER</span></code> はノーマライザーの詳細を示すオブジェクトです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;name&quot;: NORMALIZER_NAME
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">NORMALIZER</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>ノーマライザー名。 <a class="reference internal" href="table_create.html#table-create-normalizer"><span class="std std-ref">normalizer</span></a> で使います。</p></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="token-filters">
<h3><span class="section-number">7.3.56.5.11. </span><code class="docutils literal notranslate"><span class="pre">TOKEN_FILTERS</span></code><a class="headerlink" href="#token-filters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">TOKEN_FILTERS</span></code> はオブジェクトです。キーはトークンフィルター名で値はトークンフィルターの詳細です。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;TOKEN_FILTER_NAME_1&quot;: TOKEN_FILTER_1,
  &quot;TOKEN_FILTER_NAME_2&quot;: TOKEN_FILTER_2,
  ...
  &quot;TOKEN_FILTER_NAME_n&quot;: TOKEN_FILTER_n
}
</pre></div>
</div>
</div>
<div class="section" id="token-filter">
<h3><span class="section-number">7.3.56.5.12. </span><code class="docutils literal notranslate"><span class="pre">TOKEN_FILTER</span></code><a class="headerlink" href="#token-filter" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">TOKEN_FILTER</span></code> はトークンフィルターの詳細を示すオブジェクトです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;name&quot;: TOKEN_FILTER_NAME
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">TOKEN_FILTER</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>トークンフィルター名。 <a class="reference internal" href="table_create.html#table-create-token-filters"><span class="std std-ref">token_filters</span></a> で使います。</p></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="tables">
<h3><span class="section-number">7.3.56.5.13. </span><code class="docutils literal notranslate"><span class="pre">TABLES</span></code><a class="headerlink" href="#tables" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">TABLES</span></code> はオブジェクトです。キーはテーブル名で値はテーブルの詳細です。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;TABLE_NAME_1&quot;: TABLE_1,
  &quot;TABLE_NAME_2&quot;: TABLE_2,
  ...
  &quot;TABLE_NAME_n&quot;: TABLE_n
}
</pre></div>
</div>
</div>
<div class="section" id="table">
<h3><span class="section-number">7.3.56.5.14. </span><code class="docutils literal notranslate"><span class="pre">TABLE</span></code><a class="headerlink" href="#table" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">TABLE</span></code> はテーブルの詳細を示すオブジェクトです。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;name&quot;: TABLE_NAME
  &quot;type&quot;: TYPE,
  &quot;key_type&quot;: KEY_TYPE,
  &quot;value_type&quot;: VALUE_TYPE,
  &quot;tokenizer&quot;: TOKENIZER,
  &quot;normalizer&quot;: NORMALIZER,
  &quot;token_filters&quot;: [
    TOKEN_FILTER_1,
    TOKEN_FILTER_2,
    ...,
    TOKEN_FILTER_n,
  ],
  &quot;indexes&quot;: [
    INDEX_1,
    INDEX_2,
    ...,
    INDEX_n
  ],
  &quot;command&quot;: COMMAND,
  &quot;columns&quot;: {
    &quot;COLUMN_NAME_1&quot;: COLUMN_1,
    &quot;COLUMN_NAME_2&quot;: COLUMN_2,
    ...,
    &quot;COLUMN_NAME_3&quot;: COLUMN_3,
  }
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">TABLE</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>テーブル名。</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">type</span></code></p></td>
<td><p>テーブルの種類。</p>
<p>以下のどれかです。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">array</span></code>: <a class="reference internal" href="../tables.html#table-no-key"><span class="std std-ref">TABLE_NO_KEY</span></a></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">hash</span></code>: <a class="reference internal" href="../tables.html#table-hash-key"><span class="std std-ref">TABLE_HASH_KEY</span></a></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">patricia</span> <span class="pre">trie</span></code>: <a class="reference internal" href="../tables.html#table-pat-key"><span class="std std-ref">TABLE_PAT_KEY</span></a></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">double</span> <span class="pre">array</span> <span class="pre">trie</span></code>: <a class="reference internal" href="../tables.html#table-dat-key"><span class="std std-ref">TABLE_DAT_KEY</span></a></p></li>
</ul>
</div></blockquote>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">key_type</span></code></p></td>
<td><p>テーブルのキーの型。</p>
<p>テーブルの種類が <code class="docutils literal notranslate"><span class="pre">array</span></code> なら <code class="docutils literal notranslate"><span class="pre">null</span></code> になります。</p>
<p>テーブルの種類が <code class="docutils literal notranslate"><span class="pre">array</span></code> でなければオブジェクトになります。オブジェクトは次のプロパティを持ちます。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">name</span></code> ：型名。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">type</span></code> ：もし型がテーブルなら <code class="docutils literal notranslate"><span class="pre">reference</span></code> 、そうでないなら <code class="docutils literal notranslate"><span class="pre">type</span></code> 。</p></li>
</ul>
</div></blockquote>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">value_type</span></code></p></td>
<td><p>テーブルの値の型。</p>
<p>テーブルが「値」を使っていない場合は <code class="docutils literal notranslate"><span class="pre">null</span></code> になります。</p>
<p>テーブルが「値」を使っている場合はオブジェクトになります。オブジェクトは次のプロパティを持ちます。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">name</span></code> ：型名。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">type</span></code> ：もし型がテーブルなら <code class="docutils literal notranslate"><span class="pre">reference</span></code> 、そうでないなら <code class="docutils literal notranslate"><span class="pre">type</span></code> 。</p></li>
</ul>
</div></blockquote>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">tokenizer</span></code></p></td>
<td><p>テーブルのトークナイザー。 <a class="reference internal" href="table_create.html#table-create-default-tokenizer"><span class="std std-ref">default_tokenizer</span></a> で指定されたものです。</p>
<p>テーブルがトークナイザーを使っていない場合は <code class="docutils literal notranslate"><span class="pre">null</span></code> になります。</p>
<p>テーブルがトークナイザーを使っている場合はオブジェクトになります。オブジェクトは次のプロパティを持ちます。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">name</span></code> ：トークナイザー名。</p></li>
</ul>
</div></blockquote>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">normalizer</span></code></p></td>
<td><p>テーブルのノーマライザー。 <a class="reference internal" href="table_create.html#table-create-normalizer"><span class="std std-ref">normalizer</span></a> で指定されたものです。</p>
<p>テーブルがノーマライザーを使っていない場合は <code class="docutils literal notranslate"><span class="pre">null</span></code> になります。</p>
<p>テーブルがノーマライザーを使っている場合はオブジェクトになります。オブジェクトは次のプロパティを持ちます。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">name</span></code> ：ノーマライザー名。</p></li>
</ul>
</div></blockquote>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">token_filters</span></code></p></td>
<td><p>テーブルのトークンフィルターです。 <a class="reference internal" href="table_create.html#table-create-token-filters"><span class="std std-ref">token_filters</span></a> で指定されたものです。</p>
<p>オブジェクトの配列です。オブジェクトは次のプロパティを持ちます。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">name</span></code> ：トークンフィルター名。</p></li>
</ul>
</div></blockquote>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">indexes</span></code></p></td>
<td><p>テーブルのキーに対するインデックス。</p>
<p><a class="reference internal" href="#schema-return-value-index"><span class="std std-ref">INDEX</span></a> の配列です。</p>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">command</span></code></p></td>
<td><p>このテーブルを作るためのGroongaコマンドに関する情報。</p>
<p><a class="reference internal" href="#schema-return-value-command"><span class="std std-ref">COMMAND</span></a> になります。</p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">columns</span></code></p></td>
<td><p>テーブルのカラム。</p>
<p>オブジェクトです。キーはカラム名で値は <a class="reference internal" href="#schema-return-value-column"><span class="std std-ref">COLUMN</span></a> です。</p>
</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="index">
<span id="schema-return-value-index"></span><h3><span class="section-number">7.3.56.5.15. </span><code class="docutils literal notranslate"><span class="pre">INDEX</span></code><a class="headerlink" href="#index" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">INDEX</span></code> はインデックスの詳細を示すオブジェクトです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;full_name&quot;: INDEX_COLUMN_NAME_WITH_TABLE_NAME,
  &quot;table&quot;:     TABLE_NAME,
  &quot;name&quot;:      INDEX_COLUMN_NAME,
  &quot;section&quot;:   SECTION
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">INDEX</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">full_name</span></code></p></td>
<td><p>テーブル名を含むインデックスカラム名。</p>
<p>例： <code class="docutils literal notranslate"><span class="pre">Terms.index</span></code></p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">table</span></code></p></td>
<td><p>インデックスカラムのテーブル名。</p>
<p>例： <code class="docutils literal notranslate"><span class="pre">Terms</span></code></p>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>インデックスカラム名。</p>
<p>例： <code class="docutils literal notranslate"><span class="pre">index</span></code></p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">section</span></code></p></td>
<td><p>テーブルのキーに対するインデックスカラムのセクション番号。</p>
<p>インデックスカラムがマルチカラムインデックスでない場合は <code class="docutils literal notranslate"><span class="pre">0</span></code> になります。</p>
</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="command">
<span id="schema-return-value-command"></span><h3><span class="section-number">7.3.56.5.16. </span><code class="docutils literal notranslate"><span class="pre">COMMAND</span></code><a class="headerlink" href="#command" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">COMMAND</span></code> はこのテーブル・カラムを作る方法を示したオブジェクトです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;name&quot;: COMMAND_NAME,
  &quot;arguments&quot;: {
    &quot;KEY_1&quot;: &quot;VALUE_1&quot;,
    &quot;KEY_2&quot;: &quot;VALUE_2&quot;,
    ...,
    &quot;KEY_n&quot;: &quot;VALUE_n&quot;
  },
  &quot;command_line&quot;: COMMAND_LINE
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">COMMAND</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>このテーブル・カラムを作るGroongaコマンドの名前。</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">arguments</span></code></p></td>
<td><p>このテーブル・カラムを作るためのGroongaコマンドの引数。</p>
<p>オブジェクトになります。キーは引数名で値は引数の値です。</p>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">command_line</span></code></p></td>
<td><p>このテーブル・カラムを作るGroongaコマンドのコマンドラインです。</p>
<p>この文字列はGroongaが評価できます。</p>
</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="column">
<span id="schema-return-value-column"></span><h3><span class="section-number">7.3.56.5.17. </span><code class="docutils literal notranslate"><span class="pre">COLUMN</span></code><a class="headerlink" href="#column" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">COLUMN</span></code> はカラムの詳細を示したオブジェクトです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;name&quot;: COLUMN_NAME,
  &quot;table&quot;: TABLE_NAME,
  &quot;full_name&quot;: COLUMN_NAME_WITH_TABLE,
  &quot;type&quot;: TYPE,
  &quot;value_type&quot;: VALUE_TYPE,
  &quot;compress&quot;: COMPRESS,
  &quot;section&quot;: SECTION,
  &quot;weight&quot;: WEIGHT,
  &quot;compress&quot;: COMPRESS,
  &quot;section&quot;: BOOLEAN,
  &quot;weight&quot;: BOOLEAN,
  &quot;position&quot;: BOOLEAN,
  &quot;sources&quot;: [
    SOURCE_1,
    SOURCE_2,
    ...,
    SOURCE_n
  ],
  &quot;indexes&quot;: [
    INDEX_1,
    INDEX_2,
    ...,
    INDEX_n
  ],
  &quot;command&quot;: COMMAND
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">COLUMN</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>カラム名。</p>
<p>例： <code class="docutils literal notranslate"><span class="pre">age</span></code></p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">table</span></code></p></td>
<td><p>カラムのテーブル名。</p>
<p>例： <code class="docutils literal notranslate"><span class="pre">Users</span></code></p>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">full_name</span></code></p></td>
<td><p>テーブル名を含むカラム名。</p>
<p>例： <code class="docutils literal notranslate"><span class="pre">Users.age</span></code></p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">type</span></code></p></td>
<td><p>カラムの種類。</p>
<p>以下のどれかです。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">scalar</span></code>: <a class="reference internal" href="../columns/scalar.html"><span class="doc">スカラーカラム</span></a></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">vector</span></code>: <a class="reference internal" href="../columns/vector.html"><span class="doc">ベクターカラム</span></a></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">index</span></code>: <a class="reference internal" href="../columns/index.html"><span class="doc">インデックスカラム</span></a></p></li>
</ul>
</div></blockquote>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">value_type</span></code></p></td>
<td><p>カラムの値の型。</p>
<p>オブジェクトです。このオブジェクトは次のプロパティを持ちます。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">name</span></code> ：型名。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">type</span></code> ：もし型がテーブルなら <code class="docutils literal notranslate"><span class="pre">reference</span></code> 、そうでないなら <code class="docutils literal notranslate"><span class="pre">type</span></code> 。</p></li>
</ul>
</div></blockquote>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">compress</span></code></p></td>
<td><p>カラムの圧縮方法です。</p>
<p>カラムがどの圧縮方法も使っていない場合は <code class="docutils literal notranslate"><span class="pre">null</span></code> になります。</p>
<p>カラムが圧縮方法を使っている場合は次のどれかになります。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">zlib</span></code> ：カラムの値を圧縮するためにzlibを使います。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">lz4</span></code> ：カラムの値を圧縮するためにLZ4を使います。</p></li>
</ul>
</div></blockquote>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">section</span></code></p></td>
<td><p>カラムがセクション情報を保存できるかどうか。</p>
<p><code class="docutils literal notranslate"><span class="pre">WITH_SECTION</span></code> フラグ付きでカラムを作ったときは <code class="docutils literal notranslate"><span class="pre">true</span></code> 、そうでないときは <code class="docutils literal notranslate"><span class="pre">false</span></code> になります。</p>
<p>通常、インデックスカラムでない場合は <code class="docutils literal notranslate"><span class="pre">false</span></code> になります。</p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">weight</span></code></p></td>
<td><p>カラムが重み情報を保存できるかどうか。</p>
<p><code class="docutils literal notranslate"><span class="pre">WITH_WEIGHT</span></code> フラグ付きでカラムを作ったときは <code class="docutils literal notranslate"><span class="pre">true</span></code> 、そうでないときは <code class="docutils literal notranslate"><span class="pre">false</span></code> になります。</p>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">position</span></code></p></td>
<td><p>カラムが位置情報を保存できるかどうか。</p>
<p><code class="docutils literal notranslate"><span class="pre">WITH_POSITION</span></code> フラグ付きでカラムを作ったときは <code class="docutils literal notranslate"><span class="pre">true</span></code> 、そうでないときは <code class="docutils literal notranslate"><span class="pre">false</span></code> になります。</p>
<p>通常、インデックスカラムでない場合は <code class="docutils literal notranslate"><span class="pre">false</span></code> になります。</p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">sources</span></code></p></td>
<td><p>インデックスカラムのソースカラム。</p>
<p><a class="reference internal" href="#schema-return-value-source"><span class="std std-ref">SOURCE</span></a> の配列になります。</p>
<p>通常、カラムがインデックスカラムでない場合は空配列になります。</p>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">indexes</span></code></p></td>
<td><p>カラムのインデックス。</p>
<p><a class="reference internal" href="#schema-return-value-index"><span class="std std-ref">INDEX</span></a> の配列です。</p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">command</span></code></p></td>
<td><p>このカラムを作るためのGroongaコマンド情報。</p>
<p><a class="reference internal" href="#schema-return-value-command"><span class="std std-ref">COMMAND</span></a> になります。</p>
</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="source">
<span id="schema-return-value-source"></span><h3><span class="section-number">7.3.56.5.18. </span><code class="docutils literal notranslate"><span class="pre">SOURCE</span></code><a class="headerlink" href="#source" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">SOURCE</span></code> はソースの詳細を示すオブジェクトです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;name&quot;:      COLUMN_NAME,
  &quot;table&quot;:     TABLE_NAME,
  &quot;full_name&quot;: COLUMN_NAME_WITH_TABLE_NAME
}
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">SOURCE</span></code> のプロパティです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>ソースカラム名。</p>
<p>例： <code class="docutils literal notranslate"><span class="pre">content</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">_key</span></code> 擬似カラムになるかもしれません。</p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">table</span></code></p></td>
<td><p>ソースカラムのテーブル名。</p>
<p>例： <code class="docutils literal notranslate"><span class="pre">Memos</span></code></p>
</td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">full_name</span></code></p></td>
<td><p>テーブル名を含むソースカラム名。</p>
<p>例： <code class="docutils literal notranslate"><span class="pre">Memos.content</span></code></p>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.56.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="table_create.html"><span class="doc">table_create</span></a></p></li>
<li><p><a class="reference internal" href="column_create.html"><span class="doc">column_create</span></a></p></li>
</ul>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.56. <code class="docutils literal notranslate"><span class="pre">schema</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.56.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.56.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.56.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.56.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.56.4.1. 必須引数</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.56.4.2. 省略可能引数</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.56.5. 戻り値</a><ul>
<li><a class="reference internal" href="#header">7.3.56.5.1. <code class="docutils literal notranslate"><span class="pre">HEADER</span></code></a></li>
<li><a class="reference internal" href="#id1">7.3.56.5.2. <code class="docutils literal notranslate"><span class="pre">SCHEMA</span></code></a></li>
<li><a class="reference internal" href="#plugins">7.3.56.5.3. <code class="docutils literal notranslate"><span class="pre">PLUGINS</span></code></a></li>
<li><a class="reference internal" href="#plugin">7.3.56.5.4. <code class="docutils literal notranslate"><span class="pre">PLUGIN</span></code></a></li>
<li><a class="reference internal" href="#types">7.3.56.5.5. <code class="docutils literal notranslate"><span class="pre">TYPES</span></code></a></li>
<li><a class="reference internal" href="#type">7.3.56.5.6. <code class="docutils literal notranslate"><span class="pre">TYPE</span></code></a></li>
<li><a class="reference internal" href="#tokenizers">7.3.56.5.7. <code class="docutils literal notranslate"><span class="pre">TOKENIZERS</span></code></a></li>
<li><a class="reference internal" href="#tokenizer">7.3.56.5.8. <code class="docutils literal notranslate"><span class="pre">TOKENIZER</span></code></a></li>
<li><a class="reference internal" href="#normalizers">7.3.56.5.9. <code class="docutils literal notranslate"><span class="pre">NORMALIZERS</span></code></a></li>
<li><a class="reference internal" href="#normalizer">7.3.56.5.10. <code class="docutils literal notranslate"><span class="pre">NORMALIZER</span></code></a></li>
<li><a class="reference internal" href="#token-filters">7.3.56.5.11. <code class="docutils literal notranslate"><span class="pre">TOKEN_FILTERS</span></code></a></li>
<li><a class="reference internal" href="#token-filter">7.3.56.5.12. <code class="docutils literal notranslate"><span class="pre">TOKEN_FILTER</span></code></a></li>
<li><a class="reference internal" href="#tables">7.3.56.5.13. <code class="docutils literal notranslate"><span class="pre">TABLES</span></code></a></li>
<li><a class="reference internal" href="#table">7.3.56.5.14. <code class="docutils literal notranslate"><span class="pre">TABLE</span></code></a></li>
<li><a class="reference internal" href="#index">7.3.56.5.15. <code class="docutils literal notranslate"><span class="pre">INDEX</span></code></a></li>
<li><a class="reference internal" href="#command">7.3.56.5.16. <code class="docutils literal notranslate"><span class="pre">COMMAND</span></code></a></li>
<li><a class="reference internal" href="#column">7.3.56.5.17. <code class="docutils literal notranslate"><span class="pre">COLUMN</span></code></a></li>
<li><a class="reference internal" href="#source">7.3.56.5.18. <code class="docutils literal notranslate"><span class="pre">SOURCE</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#see-also">7.3.56.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="ruby_load.html"
                        title="前の章へ"><span class="section-number">7.3.55. </span><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="select.html"
                        title="次の章へ"><span class="section-number">7.3.57. </span><code class="docutils literal notranslate"><span class="pre">select</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="select.html" title="7.3.57. select"
             >次へ</a> |</li>
        <li class="right" >
          <a href="ruby_load.html" title="7.3.55. ruby_load"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.56. </span><code class="docutils literal notranslate"><span class="pre">schema</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>